Bug 450748 - Screen is garbled when switching to terminal from X
Summary: Screen is garbled when switching to terminal from X
Keywords:
Status: CLOSED DUPLICATE of bug 498457
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-10 19:58 UTC by David Rees
Modified: 2018-04-11 10:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-30 09:05:04 UTC


Attachments (Terms of Use)
xorg.conf (1.03 KB, text/plain)
2008-06-10 19:59 UTC, David Rees
no flags Details
Xorg.0.log from attached xorg.conf (46.79 KB, text/plain)
2008-06-10 20:00 UTC, David Rees
no flags Details
Xorg.0.log with no xorg.conf (49.37 KB, text/plain)
2008-06-10 20:04 UTC, David Rees
no flags Details

Description David Rees 2008-06-10 19:58:56 UTC
Description of problem:
When switching from X to a plain text terminal (Ctrl-Alt-F1), instead of seeing
the login prompt as expected, I am presented with a bunch of random vertical
lines - nothing is visible. I can switch back to X (Ctrl-Alt-F7) and everything
is normal.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.8.0-17.fc9.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Boot into run level 5
2. Switch to VT1 - Ctrl-Alt-F1
  
Actual results:
Garbled screen with lots of vertical lines, no readable output.

Expected results:
Login prompt.

Additional info:
This machine is a Dell Vostro 1000. Here is the display info from lspci -v.

01:05.0 VGA compatible controller: ATI Technologies Inc RS485 [Radeon Xpress
1100 IGP] (prog-if 00 [VGA controller])
	Subsystem: Dell Unknown device 022a
	Flags: bus master, 66MHz, medium devsel, latency 66, IRQ 10
	Memory at c8000000 (32-bit, prefetchable) [size=128M]
	I/O ports at 9000 [size=256]
	Memory at c0100000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at c0120000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 2
	Kernel modules: radeonfb

I will also attach the current xorg.conf, Xorg.0.log and another log without a
xorg.conf.

Comment 1 David Rees 2008-06-10 19:59:42 UTC
Created attachment 308856 [details]
xorg.conf

Comment 2 David Rees 2008-06-10 20:00:29 UTC
Created attachment 308857 [details]
Xorg.0.log from attached xorg.conf

Comment 3 David Rees 2008-06-10 20:04:01 UTC
Created attachment 308858 [details]
Xorg.0.log with no xorg.conf

Comment 4 Bug Zapper 2009-06-10 01:31:57 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 David Rees 2009-06-11 20:30:32 UTC
Just tested on F11 with the same results.

Comment 6 Matěj Cepl 2009-06-30 09:05:04 UTC

*** This bug has been marked as a duplicate of bug 498457 ***


Note You need to log in before you can comment on or make changes to this bug.